
% Plot 1: 5 Parametric curves: Different Initial Opinions

disp([ 9 9 9 'Plot 1: 5 Parametric curves: Different Initial Opinions'])

switch id_model
    case 1 
        DigraphIDs = 1;
    case 2
        DigraphIDs = 1:9;
    case 3
        DigraphIDs = IntermediateDigraphIDs; 
    case 4
        DigraphIDs = IntermediateDigraphIDs;
end

InitialOpinionIDs = InitialOpinionIDs_medium;
AgentParametersIDs = AgentParametersIDs_small;

local_counter = 0;
for id_di = 1:size(DigraphIDs,2)
    Aux_3_DigraphSelection

    for id_ap = 1:size(AgentParametersIDs,2)

        Aux_4_AgentParameterSelection
        Aux_8_PlotPreparation

        SingleNameFigure = [ ModelLabel '_ParametricCurve_1_id_ap_' num2str(id_paramterer) '_id_di_' num2str(id_network) '.png' ];
        if CreateFigure(SingleNameFigure,AllFigures)

            local_counter = local_counter + 1;
            disp([ 9 ' . ' num2str(local_counter) '/' num2str(size(DigraphIDs,2)*size(AgentParametersIDs,2))])

            for id_io = 1:size(InitialOpinionIDs,2)

                Aux_5_InitialOpinionSelection
                Aux_6_ParametricCurves

            end

            for id_io = 1:size(InitialOpinionIDs,2)

                Aux_5_InitialOpinionSelection
                x_value = mean(abs(InitialOpinion));
                y_value = mean(InitialOpinion);
                plot(x_value, y_value, 'o', 'LineWidth',4, 'color', GreenColor, 'MarkerSize',10, 'MarkerEdgeColor',OrangeColor, 'MarkerFaceColor',GreenColor), hold on

            end

            Aux_9_PlotDetails

            exportgraphics(Fig, [ './Chap/Opinion_Tools/Figures/' ModelLabel '/Plot_1/' ModelLabel '_ParametricCurve_1_id_ap_' num2str(id_paramterer) '_id_di_' num2str(id_network) '.png']), pause(0.1), clf    
            
            Aux_1_AgentParameterSuplot
            Aux_2_DigraphSubplot

        else

            disp([ 9 'Figure skipped'])

        end

        
        
        
    end

end